## openstack-trove 10.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
keystonemiddleware>=4.17.0 # Apache-2.0
Routes>=2.3.1 # MIT
WebOb>=1.7.1 # MIT
PasteDeploy>=1.5.0 # MIT
Paste>=2.0.2 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
netaddr>=0.7.18 # BSD
httplib2>=0.9.1 # MIT
lxml!=3.7.0,>=3.4.1 # BSD
passlib>=1.7.0 # BSD
python-heatclient>=1.10.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
iso8601>=0.1.11 # MIT
jsonschema<3.0.0,>=2.6.0 # MIT
Jinja2>=2.10 # BSD License (3 clause)
pexpect!=3.3,>=3.1 # ISC License
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
PyMySQL>=0.7.6 # MIT License
Babel!=2.4.0,>=2.3.4 # BSD
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
xmltodict>=0.10.1 # MIT
cryptography>=2.1.4  # BSD/Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
diskimage-builder!=1.6.0,!=1.7.0,!=1.7.1,>=1.1.2 # Apache-2.0

=== debian/changelog ===
openstack-trove (1:10.0.0-0ubuntu2) cosmic; urgency=medium

  * d/rules: Ensure /usr/etc is purged from python(3)-trove packages
    to resolve issues with co-installability.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Sep 2018 15:43:23 -0400

openstack-trove (1:10.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * Additional support for Python 3:
    - d/control: Drop python(3)-trove conflicts on each other.
    - d/python(3)-trove.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 10:49:39 -0400

openstack-trove (1:10.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-usage-of-gettext.install: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 10:21:14 -0400

openstack-trove (1:10.0.0~b1-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-trove package.
    - d/control: Support Python 2.7 first and Python 3.x as alternative.
      trove-common depends on python-trove by default and python3-trove
      as alternative.
    - d/control: move all other python run-time dependencies to
      python(3)-trove packages.
    - d/control: Switch from Breaks/Replaces to conflicts in binary package
      for python3-trove against python-trove (and vice versa).
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Add Python 2.7 support.
    - d/rules: Ensure binaries are renamed for update-alternatives.
    - d/python(3)-trove.post*, d/python(3)-trove.prerm: update-alternatives
      is used to enable correct shebangs for Python binaries.
    - d/python3-trove.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python3-trove.install: Dropped. Not needed.
    - d/tests/*: Add Python 2/3 autopkgtests for trove daemons and shebangs.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/trove-common.postinst.in: Disable calls to pkgos_rabbit_write_conf as
      consecutive calls fail.
    - d/p/fix-usage-of-gettext.install: Fix gettext.install() calls for py3.x.
  * d/tests/control, d/t/trove-daemons: Config/install updates to get
    trove-daemons to start.
  * d/watch: Scope to 10.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/Fix_guestagent.test_operating_system_for_Python3.patch: Dropped. Fixed
    in new upstream milestone.
  * d/rules: Align test execution with upstream, including ostestr --serial.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jun 2018 14:13:03 -0400

openstack-trove (1:9.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Using pkgos-dh_auto_test.
  * Switched to Python 3. Need this for the upload:
    - #890828
    - #890829
  * Add upstream patch:
    - Fix_guestagent.test_operating_system_for_Python3.patch.
  * Blacklist 3 mongodb backup unit tests, these are Py3 test issues, not core
    code problems.
  * Reviewed debian/copyright holders list and years.
  * Also balcklist (table not exists error):
    - BackupCreateTest.test_create.*
    - BackupDeleteTest.test_delete.*

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Feb 2018 12:13:48 +0100

openstack-trove (1:8.0.0-4) unstable; urgency=medium

  * Add e2fsprogs as explicit depends (Closes: #887267).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jan 2018 11:39:14 +0100

openstack-trove (1:8.0.0-3) unstable; urgency=medium

  [ David Rabel ]
  * Update fr.po (Closes: #886206).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jan 2018 08:48:15 +0100

openstack-trove (1:8.0.0-2) unstable; urgency=medium

  * Add missing python-pep8 build-depends (Closes: #881188).

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Nov 2017 21:35:04 +0000

openstack-trove (1:8.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #881095).
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Deprecating priority extra as per policy 4.0.1.
  * Standards-Version is now 4.1.1.
  * debian/rules: remove things defined in openstack-pkg-tools.
  * Rebased / removed old patches.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Nov 2017 20:06:48 +0100

=== debian/control ===
Source: openstack-trove
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 70~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit,
 iproute2,
 net-tools,
 python-astroid,
 python-babel (>= 2.3.4),
 python-cassandra (>= 2.1.4),
 python-cinderclient (>= 1:3.3.0),
 python-coverage (>= 4.0),
 python-crypto (>= 2.6),
 python-cryptography (>= 2.1.4),
 python-designateclient (>= 2.7.0),
 python-diskimage-builder (>= 1.1.2),
 python-enum34 (>= 1.0.4),
 python-eventlet (>= 0.18.2),
 python-glanceclient (>= 1:2.8.0),
 python-hacking (>= 0.12.0),
 python-heatclient (>= 1.10.0),
 python-httplib2 (>= 0.9.1),
 python-iso8601 (>= 0.1.11),
 python-jinja2 (>= 2.10),
 python-jsonschema (>= 2.6.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml (>= 3.4.1),
 python-migrate (>= 0.11.0),
 python-mock (>= 2.0.0),
 python-mox3 (>= 0.20.0),
 python-netaddr (>= 0.7.18),
 python-neutronclient (>= 1:6.7.0),
 python-nose (>= 1.3.7),
 python-nosexcover (>= 1.0.10),
 python-novaclient (>= 2:9.1.0),
 python-openstack.nose-plugin (>= 0.7),
 python-openstackdocstheme (>= 1.18.1),
 python-os-api-ref (>= 1.4.0),
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-osprofiler (>= 1.4.0),
 python-passlib (>= 1.7.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pep8,
 python-pexpect (>= 3.1),
 python-proboscis (>= 1.2.5.3),
 python-psycopg2 (>= 2.6.2),
 python-pymongo (>= 3.0.2),
 python-pymysql (>= 0.7.6),
 python-redis (>= 2.10.0),
 python-routes (>= 2.3.1),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stestr (>= 1.1.0),
 python-stevedore (>= 1:1.20.0),
 python-swiftclient (>= 1:3.2.0),
 python-testtools (>= 2.2.0),
 python-troveclient (>= 1:2.2.0),
 python-webob (>= 1:1.7.1),
 python-webtest (>= 2.0.27),
 python-wsgi-intercept (>= 1.4.1),
 python-xmltodict (>= 0.10.1),
 python3-astroid,
 python3-babel (>= 2.3.4),
 python3-cassandra (>= 2.1.4),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-crypto (>= 2.6),
 python3-cryptography (>= 2.1.4),
 python3-designateclient (>= 2.7.0),
 python3-diskimage-builder (>= 1.1.2),
 python3-eventlet (>= 0.18.2),
 python3-glanceclient (>= 1:2.8.0),
 python3-hacking (>= 0.12.0),
 python3-heatclient (>= 1.10.0),
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.11),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-migrate (>= 0.11.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-nose (>= 1.3.7),
 python3-nosexcover (>= 1.0.10),
 python3-novaclient (>= 2:9.1.0),
 python3-openstack.nose-plugin (>= 0.7),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 1.4.0),
 python3-passlib (>= 1.7.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-pexpect (>= 3.1),
 python3-proboscis (>= 1.2.5.3),
 python3-psycopg2 (>= 2.6.2),
 python3-pymongo (>= 3.0.2),
 python3-pymysql (>= 0.7.6),
 python3-redis (>= 2.10.0),
 python3-reno (>= 2.5.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 1.1.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testtools (>= 2.2.0),
 python3-troveclient (>= 1:2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 python3-wsgi-intercept (>= 1.4.1),
 python3-xmltodict (>= 0.10.1),
 subunit,
 testrepository,
# python3-couchdb,
# python3-fs,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-trove
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-trove
Homepage: https://github.com/openstack/trove
Testsuite: autopkgtest-pkg-python

Package: python-trove
Architecture: all
Section: python
Depends:
 e2fsprogs,
 python-babel (>= 2.3.4),
 python-cinderclient (>= 1:3.3.0),
 python-crypto (>= 2.6),
 python-cryptography (>= 2.1.4),
 python-designateclient (>= 2.7.0),
 python-diskimage-builder (>= 1.1.2),
 python-enum34 (>= 1.0.4),
 python-eventlet (>= 0.18.2),
 python-glanceclient (>= 1:2.8.0),
 python-heatclient (>= 1.10.0),
 python-httplib2 (>= 0.9.1),
 python-iso8601 (>= 0.1.11),
 python-jinja2 (>= 2.10),
 python-jsonschema (>= 2.6.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml (>= 3.4.1),
 python-migrate (>= 0.11.0),
 python-netaddr (>= 0.7.18),
 python-neutronclient (>= 1:6.7.0),
 python-novaclient (>= 2:9.1.0),
 python-openstackclient,
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-osprofiler (>= 1.4.0),
 python-passlib (>= 1.7.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 2.0.0),
 python-pexpect (>= 3.1),
 python-pymysql (>= 0.7.6),
 python-routes (>= 2.3.1),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-swiftclient (>= 1:3.2.0),
 python-webob (>= 1:1.7.1),
 python-xmltodict (>= 0.10.1),
 ${misc:Depends},
 ${python:Depends},
Conflicts:
 python-cjson,
Description: Database as a Service for OpenStack - Python 2.7 lib
 Trove is "Database as a Service" for Openstack. It's designed to allow users
 to quickly and easily utilize the features of a relational database without
 the burden of handling complex administrative tasks.
 .
 Cloud users and database administrators can provision and manage multiple
 database instances as needed. The service focus on providing resource
 isolation at high performance while automating deployment, configuration,
 patching, backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove Python 2.7 library.

Package: python3-trove
Architecture: all
Section: python
Depends:
 e2fsprogs,
 python3-babel (>= 2.3.4),
 python3-cinderclient (>= 1:3.3.0),
 python3-cryptography (>= 2.1.4),
 python3-crypto (>= 2.6),
 python3-designateclient (>= 2.7.0),
 python3-diskimage-builder (>= 1.1.2),
 python3-eventlet (>= 0.18.2),
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.11),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-migrate (>= 0.11.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackclient,
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 1.4.0),
 python3-passlib (>= 1.7.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-pexpect (>= 3.1),
 python3-pymysql (>= 0.7.6),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-webob (>= 1:1.7.1),
 python3-xmltodict (>= 0.10.1),
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python3-cjson,
Description: Database as a Service for OpenStack - Python 3.x lib
 Trove is "Database as a Service" for Openstack. It's designed to allow users
 to quickly and easily utilize the features of a relational database without
 the burden of handling complex administrative tasks.
 .
 Cloud users and database administrators can provision and manage multiple
 database instances as needed. The service focus on providing resource
 isolation at high performance while automating deployment, configuration,
 patching, backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove Python 3.x library.

Package: trove-api
Architecture: all
Depends:
 adduser,
 lsb-base,
 q-text-as-data,
 trove-common (= ${binary:Version}),
 ${misc:Depends},
Description: Database as a Service for OpenStack - API server
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove API server. The trove-api service provides a
 RESTful API that supports JSON and XML to provision and manage Trove
 instances.

Package: trove-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python-trove (= ${binary:Version}) | python3-trove (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
Description: Database as a Service for OpenStack - common files
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS=$(pyversions -vr 2>/dev/null)
PYTHON3S=$(py3versions -vr 2>/dev/null)

UPSTREAM_GIT := https://github.com/openstack/trove.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc,systemd

override_dh_auto_clean:
	python2 setup.py clean
	python3 setup.py clean
	rm -f debian/trove-common.postinst
	rm -f debian/trove-common.config
	rm -f debian/trove-api.postinst
	rm -f debian/trove-api.config
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-api.config
	pkgos-merge-templates trove-api trove endpoint
	pkgos-merge-templates trove-common trove db rabbit ksat

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/trove-doc/usr/share/doc/trove-doc/html
	dh_sphinxdoc
endif

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/python-trove; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-trove; \
	done
	rm -rf $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
	rm -rf $(CURDIR)/debian/python*/usr/etc/*
	set -e && for i in $(CURDIR)/debian/python-trove/usr/bin/* ; do \
		SCRIPT_NAME=$$(basename $$i); \
		mv $(CURDIR)/debian/python-trove/usr/bin/$$SCRIPT_NAME $(CURDIR)/debian/python-trove/usr/bin/python2-$$SCRIPT_NAME; \
	done
	set -e && for i in $(CURDIR)/debian/python3-trove/usr/bin/* ; do \
		SCRIPT_NAME=$$(basename $$i); \
		mv $(CURDIR)/debian/python3-trove/usr/bin/$$SCRIPT_NAME $(CURDIR)/debian/python3-trove/usr/bin/python3-$$SCRIPT_NAME; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	for i in 2 3; do \
		rm -f trove_test.sqlite; \
		python$$i-ostestr --serial; \
	done
endif

	# Install the config files in the different binary packages
	# -guestagent
	install -D -m 0664 $(CURDIR)/etc/trove/trove-guestagent.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove-guestagent.conf
	# -taskmanager
	install -D -m 0664 $(CURDIR)/etc/trove/trove-taskmanager.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove-taskmanager.conf
	# -conductor
	install -D -m 0664 $(CURDIR)/etc/trove/trove-conductor.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove-conductor.conf
	# -common
	install -D -m 0664 $(CURDIR)/etc/trove/trove.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf
	# We want neutron by default, not nova-network
	pkgos-fix-config-default $(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf DEFAULT network_driver	trove.network.neutron.NeutronDriver

	# Use nova config drive by default
	pkgos-fix-config-default $(CURDIR)/debian/trove-common/usr/share/trove-common/trove-taskmanager.conf DEFAULT use_nova_server_config_drive True

	install -D -m 0664 $(CURDIR)/etc/trove/api-paste.ini $(CURDIR)/debian/trove-common/usr/share/trove-common/api-paste.ini


override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installgsettings:

=== debian/tests/control ===
Tests: trove-daemons, trove-shebangs-py3
Depends: python3-trove, trove-common, trove-api,
 trove-guestagent, trove-taskmanager, trove-conductor,
 mysql-server, crudini
Restrictions: needs-root

Tests: trove-daemons, trove-shebangs-py2
Depends: trove-common, trove-api, trove-guestagent,
 trove-taskmanager, trove-conductor, mysql-server,
 crudini
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/trove trove-(10\.\d.*)\.tar\.gz

## openstack-trove 11.0.0

=== requirements.txt ===
--- 
+++ 
@@ -32,6 +32,7 @@
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
+oslo.upgradecheck>=0.1.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 PyMySQL>=0.7.6 # MIT License

=== debian/changelog ===
openstack-trove (1:11.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 10:40:52 +0100

openstack-trove (1:11.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: Scope to 11.x series.
  * New upstream release candidate for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Mar 2019 13:56:40 -0400

openstack-trove (1:11.0.0~b1~git2019031952.75784f94-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Mar 2019 11:18:46 +0000

openstack-trove (1:11.0.0~b1~git2018111913.7796cab5-0ubuntu3) disco; urgency=medium

  * d/rules: Drop move of binaries to /usr/bin/python3-*.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Nov 2018 21:09:29 -0500

openstack-trove (1:11.0.0~b1~git2018111913.7796cab5-0ubuntu2) disco; urgency=medium

  * d/control: Drop min version of python-astroid.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Nov 2018 14:25:47 -0500

openstack-trove (1:11.0.0~b1~git2018111913.7796cab5-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 13:49:00 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 70~),
+ openstack-pkg-tools (>= 85ubuntu3~),
  po-debconf,
  python-all,
  python-pbr (>= 2.0.0),
@@ -21,74 +21,6 @@
  bandit,
  iproute2,
  net-tools,
- python-astroid,
- python-babel (>= 2.3.4),
- python-cassandra (>= 2.1.4),
- python-cinderclient (>= 1:3.3.0),
- python-coverage (>= 4.0),
- python-crypto (>= 2.6),
- python-cryptography (>= 2.1.4),
- python-designateclient (>= 2.7.0),
- python-diskimage-builder (>= 1.1.2),
- python-enum34 (>= 1.0.4),
- python-eventlet (>= 0.18.2),
- python-glanceclient (>= 1:2.8.0),
- python-hacking (>= 0.12.0),
- python-heatclient (>= 1.10.0),
- python-httplib2 (>= 0.9.1),
- python-iso8601 (>= 0.1.11),
- python-jinja2 (>= 2.10),
- python-jsonschema (>= 2.6.0),
- python-keystoneclient (>= 1:3.8.0),
- python-keystonemiddleware (>= 4.17.0),
- python-lxml (>= 3.4.1),
- python-migrate (>= 0.11.0),
- python-mock (>= 2.0.0),
- python-mox3 (>= 0.20.0),
- python-netaddr (>= 0.7.18),
- python-neutronclient (>= 1:6.7.0),
- python-nose (>= 1.3.7),
- python-nosexcover (>= 1.0.10),
- python-novaclient (>= 2:9.1.0),
- python-openstack.nose-plugin (>= 0.7),
- python-openstackdocstheme (>= 1.18.1),
- python-os-api-ref (>= 1.4.0),
- python-os-testr (>= 1.0.0),
- python-oslo.concurrency (>= 3.26.0),
- python-oslo.config (>= 1:5.2.0),
- python-oslo.context (>= 1:2.19.2),
- python-oslo.db (>= 4.27.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.messaging (>= 5.29.0),
- python-oslo.middleware (>= 3.31.0),
- python-oslo.policy (>= 1.30.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.service (>= 1.24.0),
- python-oslo.utils (>= 3.33.0),
- python-osprofiler (>= 1.4.0),
- python-passlib (>= 1.7.0),
- python-paste (>= 2.0.2),
- python-pastedeploy (>= 1.5.0),
- python-pep8,
- python-pexpect (>= 3.1),
- python-proboscis (>= 1.2.5.3),
- python-psycopg2 (>= 2.6.2),
- python-pymongo (>= 3.0.2),
- python-pymysql (>= 0.7.6),
- python-redis (>= 2.10.0),
- python-routes (>= 2.3.1),
- python-six (>= 1.10.0),
- python-sqlalchemy (>= 1.0.10),
- python-stestr (>= 1.1.0),
- python-stevedore (>= 1:1.20.0),
- python-swiftclient (>= 1:3.2.0),
- python-testtools (>= 2.2.0),
- python-troveclient (>= 1:2.2.0),
- python-webob (>= 1:1.7.1),
- python-webtest (>= 2.0.27),
- python-wsgi-intercept (>= 1.4.1),
- python-xmltodict (>= 0.10.1),
  python3-astroid,
  python3-babel (>= 2.3.4),
  python3-cassandra (>= 2.1.4),
@@ -132,6 +64,7 @@
  python3-oslo.policy (>= 1.30.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
+ python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.33.0),
  python3-osprofiler (>= 1.4.0),
  python3-passlib (>= 1.7.0),
@@ -167,78 +100,6 @@
 Homepage: https://github.com/openstack/trove
 Testsuite: autopkgtest-pkg-python
 
-Package: python-trove
-Architecture: all
-Section: python
-Depends:
- e2fsprogs,
- python-babel (>= 2.3.4),
- python-cinderclient (>= 1:3.3.0),
- python-crypto (>= 2.6),
- python-cryptography (>= 2.1.4),
- python-designateclient (>= 2.7.0),
- python-diskimage-builder (>= 1.1.2),
- python-enum34 (>= 1.0.4),
- python-eventlet (>= 0.18.2),
- python-glanceclient (>= 1:2.8.0),
- python-heatclient (>= 1.10.0),
- python-httplib2 (>= 0.9.1),
- python-iso8601 (>= 0.1.11),
- python-jinja2 (>= 2.10),
- python-jsonschema (>= 2.6.0),
- python-keystoneclient (>= 1:3.8.0),
- python-keystonemiddleware (>= 4.17.0),
- python-lxml (>= 3.4.1),
- python-migrate (>= 0.11.0),
- python-netaddr (>= 0.7.18),
- python-neutronclient (>= 1:6.7.0),
- python-novaclient (>= 2:9.1.0),
- python-openstackclient,
- python-oslo.concurrency (>= 3.26.0),
- python-oslo.config (>= 1:5.2.0),
- python-oslo.context (>= 1:2.19.2),
- python-oslo.db (>= 4.27.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.messaging (>= 5.29.0),
- python-oslo.middleware (>= 3.31.0),
- python-oslo.policy (>= 1.30.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.service (>= 1.24.0),
- python-oslo.utils (>= 3.33.0),
- python-osprofiler (>= 1.4.0),
- python-passlib (>= 1.7.0),
- python-paste (>= 2.0.2),
- python-pastedeploy (>= 1.5.0),
- python-pbr (>= 2.0.0),
- python-pexpect (>= 3.1),
- python-pymysql (>= 0.7.6),
- python-routes (>= 2.3.1),
- python-six (>= 1.10.0),
- python-sqlalchemy (>= 1.0.10),
- python-stevedore (>= 1:1.20.0),
- python-swiftclient (>= 1:3.2.0),
- python-webob (>= 1:1.7.1),
- python-xmltodict (>= 0.10.1),
- ${misc:Depends},
- ${python:Depends},
-Conflicts:
- python-cjson,
-Description: Database as a Service for OpenStack - Python 2.7 lib
- Trove is "Database as a Service" for Openstack. It's designed to allow users
- to quickly and easily utilize the features of a relational database without
- the burden of handling complex administrative tasks.
- .
- Cloud users and database administrators can provision and manage multiple
- database instances as needed. The service focus on providing resource
- isolation at high performance while automating deployment, configuration,
- patching, backups, restores, and monitoring. Trove is designed to support a
- single-tenant database within a Nova instance. There is no restrictions on how
- Nova is configured, since Trove interacts with other OpenStack components
- purely through the API.
- .
- This package provides the Trove Python 2.7 library.
-
 Package: python3-trove
 Architecture: all
 Section: python
@@ -276,6 +137,7 @@
  python3-oslo.policy (>= 1.30.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
+ python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.33.0),
  python3-osprofiler (>= 1.4.0),
  python3-passlib (>= 1.7.0),
@@ -295,7 +157,7 @@
  ${python3:Depends},
 Conflicts:
  python3-cjson,
-Description: Database as a Service for OpenStack - Python 3.x lib
+Description: Database as a Service for OpenStack - Python 3 lib
  Trove is "Database as a Service" for Openstack. It's designed to allow users
  to quickly and easily utilize the features of a relational database without
  the burden of handling complex administrative tasks.
@@ -308,7 +170,7 @@
  Nova is configured, since Trove interacts with other OpenStack components
  purely through the API.
  .
- This package provides the Trove Python 3.x library.
+ This package provides the Trove Python 3 library.
 
 Package: trove-api
 Architecture: all
@@ -340,7 +202,7 @@
 Depends:
  adduser,
  dbconfig-common,
- python-trove (= ${binary:Version}) | python3-trove (= ${binary:Version}),
+ python3-trove (= ${binary:Version}),
  sqlite3,
  ${misc:Depends},
 Description: Database as a Service for OpenStack - common files
@@ -351,3 +213,95 @@
  and manage multiple database instances as needed. Initially, the service will
  focus on providing resource isolation at high performance while automating
  complex administrative tasks including deployment, configuration, patching,
+ backups, restores, and monitoring. Trove is designed to support a
+ single-tenant database within a Nova instance. There is no restrictions on how
+ Nova is configured, since Trove interacts with other OpenStack components
+ purely through the API.
+ .
+ This package provides the Trove common files.
+
+Package: trove-conductor
+Architecture: all
+Depends:
+ adduser,
+ lsb-base,
+ trove-common (= ${binary:Version}),
+ ${misc:Depends},
+Description: Database as a Service for OpenStack - conductor
+ Trove is Database as a Service for Openstack. It's designed to run entirely on
+ OpenStack, with the goal of allowing users to quickly and easily utilize the
+ features of a relational database without the burden of handling complex
+ administrative tasks. Cloud users and database administrators can provision
+ and manage multiple database instances as needed. Initially, the service will
+ focus on providing resource isolation at high performance while automating
+ complex administrative tasks including deployment, configuration, patching,
+ backups, restores, and monitoring. Trove is designed to support a
+ single-tenant database within a Nova instance. There is no restrictions on how
+ Nova is configured, since Trove interacts with other OpenStack components
+ purely through the API.
+ .
+ This package provides the Trove conductor.
+
+Package: trove-doc
+Section: doc
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Description: Database as a Service for OpenStack - doc
+ Trove is Database as a Service for Openstack. It's designed to run entirely on
+ OpenStack, with the goal of allowing users to quickly and easily utilize the
+ features of a relational database without the burden of handling complex
+ administrative tasks. Cloud users and database administrators can provision
+ and manage multiple database instances as needed. Initially, the service will
+ focus on providing resource isolation at high performance while automating
+ complex administrative tasks including deployment, configuration, patching,
+ backups, restores, and monitoring. Trove is designed to support a
+ single-tenant database within a Nova instance. There is no restrictions on how
+ Nova is configured, since Trove interacts with other OpenStack components
+ purely through the API.
+ .
+ This package provides the Trove documentations.
+
+Package: trove-guestagent
+Architecture: all
+Depends:
+ adduser,
+ lsb-base,
+ trove-common (= ${binary:Version}),
+ ${misc:Depends},
+Description: Database as a Service for OpenStack - guest agent
+ Trove is Database as a Service for Openstack. It's designed to run entirely on
+ OpenStack, with the goal of allowing users to quickly and easily utilize the
+ features of a relational database without the burden of handling complex
+ administrative tasks. Cloud users and database administrators can provision
+ and manage multiple database instances as needed. Initially, the service will
+ focus on providing resource isolation at high performance while automating
+ complex administrative tasks including deployment, configuration, patching,
+ backups, restores, and monitoring. Trove is designed to support a
+ single-tenant database within a Nova instance. There is no restrictions on how
+ Nova is configured, since Trove interacts with other OpenStack components
+ purely through the API.
+ .
+ This package provides the Trove guest agent. The guestagent is a service that
+ runs within the guest instance, responsible for managing and performing
+ operations on the Database itself. The Guest Agent listens for RPC messages
+ through the message bus and performs the requested operation.
+
+Package: trove-taskmanager
+Architecture: all
+Depends:
+ adduser,
+ lsb-base,
+ trove-common (= ${binary:Version}),
+ ${misc:Depends},
+Description: Database as a Service for OpenStack - taskmanager
+ Trove is Database as a Service for Openstack. It's designed to run entirely on
+ OpenStack, with the goal of allowing users to quickly and easily utilize the
+ features of a relational database without the burden of handling complex
+ administrative tasks. Cloud users and database administrators can provision
+ and manage multiple database instances as needed. Initially, the service will
+ focus on providing resource isolation at high performance while automating
+ complex administrative tasks including deployment, configuration, patching,
+ backups, restores, and monitoring. Trove is designed to support a
+ single-tenant database within a Nova instance. There is no restrictions on how

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,14 @@
 #!/usr/bin/make -f
 
-PYTHONS=$(pyversions -vr 2>/dev/null)
 PYTHON3S=$(py3versions -vr 2>/dev/null)
 
 UPSTREAM_GIT := https://github.com/openstack/trove.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc,systemd
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd
 
 override_dh_auto_clean:
-	python2 setup.py clean
 	python3 setup.py clean
 	rm -f debian/trove-common.postinst
 	rm -f debian/trove-common.config
@@ -39,27 +37,17 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	set -e && for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/python-trove; \
-	done
 	set -e && for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-trove; \
 	done
 	rm -rf $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
 	rm -rf $(CURDIR)/debian/python*/usr/etc/*
-	set -e && for i in $(CURDIR)/debian/python-trove/usr/bin/* ; do \
-		SCRIPT_NAME=$$(basename $$i); \
-		mv $(CURDIR)/debian/python-trove/usr/bin/$$SCRIPT_NAME $(CURDIR)/debian/python-trove/usr/bin/python2-$$SCRIPT_NAME; \
-	done
-	set -e && for i in $(CURDIR)/debian/python3-trove/usr/bin/* ; do \
-		SCRIPT_NAME=$$(basename $$i); \
-		mv $(CURDIR)/debian/python3-trove/usr/bin/$$SCRIPT_NAME $(CURDIR)/debian/python3-trove/usr/bin/python3-$$SCRIPT_NAME; \
-	done
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	for i in 2 3; do \
+	for i in $(PYTHON3S); do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1`; \
 		rm -f trove_test.sqlite; \
-		python$$i-ostestr --serial; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i python$$PYMAJOR-ostestr --serial; \
 	done
 endif

=== debian/tests/control ===
Tests: trove-daemons
Depends: trove-common, trove-api, trove-guestagent,
 trove-taskmanager, trove-conductor, mysql-server,
 crudini
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/trove trove-(11\.\d.*)\.tar\.gz

## openstack-trove 12.0.0

=== debian/changelog ===
openstack-trove (1:12.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:25:38 +0100

openstack-trove (1:12.0.0~rc1-0ubuntu4) eoan; urgency=medium

  * d/test/*: Fixup autopkgtest for MySQL 8 compatibility.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Oct 2019 11:16:50 +0100

openstack-trove (1:12.0.0~rc1-0ubuntu3) eoan; urgency=medium

  * d/trove-common.postinst.in: Drop templating and configuration
    of trove-conductor.conf and trove-taskmanager.conf; these no
    longer exist and all configuration is done via trove.conf
    (LP: #1848139).

 -- James Page <james.page@ubuntu.com>  Tue, 15 Oct 2019 09:52:46 +0100

openstack-trove (1:12.0.0~rc1-0ubuntu2) eoan; urgency=medium

  * d/tests/*: Align tests with single configuration file switch,
    resolve compatibility with MySQL 8 and PyMySQL.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 14:24:38 +0100

openstack-trove (1:12.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Track 12.x series.
  * New upstream release for OpenStack Train.
  * d/p/*: Rebase, refresh and drop as needed.
  * d/*.init.in: Use trove.conf for task-manager and conductor services.
  * d/rules: Rationalize default settings for single trove.conf file.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 14:21:15 +0100

openstack-trove (1:12.0.0~b2~git2019073019.f7201517-0ubuntu2) eoan; urgency=medium

  * d/rules: Run tests with stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Aug 2019 09:24:42 -0400

openstack-trove (1:12.0.0~b2~git2019073019.f7201517-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 19:06:06 +0200

openstack-trove (1:12.0.0~b1~git2019061811.49a11dd9-0ubuntu1) eoan; urgency=medium

  * New upstream release 12.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 25 Jun 2019 09:36:41 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  bandit,
  iproute2,
  net-tools,
- python3-astroid,
+ python3-astroid (>= 1.6.5),
  python3-babel (>= 2.3.4),
  python3-cassandra (>= 2.1.4),
  python3-cinderclient (>= 1:3.3.0),

=== debian/rules ===
--- 
+++ 
@@ -47,24 +47,18 @@
 	for i in $(PYTHON3S); do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1`; \
 		rm -f trove_test.sqlite; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i python$$PYMAJOR-ostestr --serial; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i stestr run --serial; \
 	done
 endif
 
 	# Install the config files in the different binary packages
 	# -guestagent
 	install -D -m 0664 $(CURDIR)/etc/trove/trove-guestagent.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove-guestagent.conf
-	# -taskmanager
-	install -D -m 0664 $(CURDIR)/etc/trove/trove-taskmanager.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove-taskmanager.conf
-	# -conductor
-	install -D -m 0664 $(CURDIR)/etc/trove/trove-conductor.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove-conductor.conf
-	# -common
 	install -D -m 0664 $(CURDIR)/etc/trove/trove.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf
 	# We want neutron by default, not nova-network
 	pkgos-fix-config-default $(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf DEFAULT network_driver	trove.network.neutron.NeutronDriver
-
 	# Use nova config drive by default
-	pkgos-fix-config-default $(CURDIR)/debian/trove-common/usr/share/trove-common/trove-taskmanager.conf DEFAULT use_nova_server_config_drive True
+	pkgos-fix-config-default $(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf DEFAULT use_nova_server_config_drive True
 
 	install -D -m 0664 $(CURDIR)/etc/trove/api-paste.ini $(CURDIR)/debian/trove-common/usr/share/trove-common/api-paste.ini

## openstack-trove 13.0.0~b3~git2020041014.8c3df10a

=== debian/changelog ===
openstack-trove (1:13.0.0~b3~git2020041014.8c3df10a-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/trove-common.postinst.in: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 14:04:22 -0400

openstack-trove (1:13.0.0~b3~git2020032626.3cdcfac3-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/p/*: Refresh.
  * d/*: wrap-and-sort -bast.
  * d/trove-common.postinst.in: Refactor to standardise /etc, /var/lib and
    /var/log ownership and permissions (LP: #1859422).

 -- James Page <james.page@ubuntu.com>  Thu, 26 Mar 2020 12:27:54 +0000

openstack-trove (1:13.0.0~b2~git2020021315.2d301d0a-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Feb 2020 15:59:01 -0500

openstack-trove (1:13.0.0~b1~git2019121815.5472d8a5-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Dec 2019 15:44:52 -0500

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,10 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
  po-debconf,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
@@ -66,6 +63,7 @@
  python3-oslo.service (>= 1.24.0),
  python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.33.0),
+ python3-oslotest (>= 1:3.2.0),
  python3-osprofiler (>= 1.4.0),
  python3-passlib (>= 1.7.0),
  python3-paste (>= 2.0.2),
@@ -84,6 +82,7 @@
  python3-stestr (>= 1.1.0),
  python3-stevedore (>= 1:1.20.0),
  python3-swiftclient (>= 1:3.2.0),
+ python3-tenacity (>= 4.9.0),
  python3-testtools (>= 2.2.0),
  python3-troveclient (>= 1:2.2.0),
  python3-webob (>= 1:1.7.1),
@@ -92,8 +91,6 @@
  python3-xmltodict (>= 0.10.1),
  subunit,
  testrepository,
-# python3-couchdb,
-# python3-fs,
 Standards-Version: 4.1.3
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-trove
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-trove
@@ -107,8 +104,8 @@
  e2fsprogs,
  python3-babel (>= 2.3.4),
  python3-cinderclient (>= 1:3.3.0),
+ python3-crypto (>= 2.6),
  python3-cryptography (>= 2.1.4),
- python3-crypto (>= 2.6),
  python3-designateclient (>= 2.7.0),
  python3-diskimage-builder (>= 1.1.2),
  python3-eventlet (>= 0.18.2),
@@ -151,6 +148,7 @@
  python3-sqlalchemy (>= 1.0.10),
  python3-stevedore (>= 1:1.20.0),
  python3-swiftclient (>= 1:3.2.0),
+ python3-troveclient (>= 1:2.2.0),
  python3-webob (>= 1:1.7.1),
  python3-xmltodict (>= 0.10.1),
  ${misc:Depends},

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/trove trove-(12\.\d.*)\.tar\.gz
